Packages - Bug #686

python-pelican: built against python 3.3
2015-03-21 09:10 PM - Anonymous

Status: fixed % Done: 100%
Priority: broken

Assignee: freaj

Category:

Description

The version in /pcr/ is build against python 3.3 and needs to be rebuild against current (3.4.3).

I am currently unable to execute pelican-quickstart:

History

#1 - 2015-03-25 08:05 PM - Anonymous
- Assignee set to freaj

- Status changed from open to in progress

#2 - 2015-03-26 09:22 AM - freaj
Hi,

So, actually, python-pelican is on version 3.5.0

I've tried to compile for version 3.3, but I'm having an issue with the extraction (I tried with tar zxvf, same issue): |

pelican-3.3/venv/lib/python2.7/site-packages/docutils/parsers/null.py: truncated gzip input | bsdtar: Error exit delayed from previous errors. | ==>

ERROR: Failed to extract pelican-3.3.tar.gz

And 3.4.3 is not found.

source code is on github, | just updated to the last version for krosos, the rest of the source code is... on github. | don't know how to pick a version.

#3 - 2015-03-26 09:49 AM - Anonymous

I am not sure if this has been understood right or if | have trouble understanding it.

The pelican current is version 3.5.0

The python version it builds against is version 3.0 or something.

The python version it should be build against is version 3.4.3

This mean pelincan-python package and all its dependencies must be build against this specific version of python, 3.4.3

Or, are your issues appearing somewhere in the process | explained?

#4 - 2015-03-26 03:58 PM - Anonymous
- % Done changed from 0 to 100

- Status changed from in progress to fixed
